package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetZmOffBitCommand extends WriteMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = 699292946605155345L;
	
	public final static int ZM_OFF_ENABLE = 1;
	public final static int ZM_OFF_DISABLE = 0;
	
	private int zmoff;
	
	public int getZmoff() {
		return zmoff;
	}

	public void setZmoff(int zmoff) {
		this.zmoff = zmoff;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETZMOFF;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置照明停止位命令";
	}
}
